| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEventAttributeIterator Class Reference

Inheritance diagram for csEventAttributeIterator:

[legend]
List of all members.

## Public Member Functions
| csEventAttributeIterator (csHash< csEvent::attribute *, csStringID >::GlobalIterator &iter)
virtual bool | HasNext ()
| Whether a next attribute is available.
virtual const char * | Next ()
| Return the name of the next attribute.
virtual void | Reset ()
| Reset the iterator to the start.
virtual | ~csEventAttributeIterator ()

## Detailed Description

Definition at line 341 of file csevent.h.

## Member Function Documentation

virtual bool csEventAttributeIterator::HasNext | ( |  | ) | `[inline, virtual]`

Whether a next attribute is available.

Implements iEventAttributeIterator.

Definition at line 357 of file csevent.h.

virtual const char* csEventAttributeIterator::Next | ( |  | ) | `[virtual]`

Return the name of the next attribute.

Implements iEventAttributeIterator.

virtual void csEventAttributeIterator::Reset | ( |  | ) | `[inline, virtual]`

Reset the iterator to the start.

Implements iEventAttributeIterator.

Definition at line 362 of file csevent.h.

The documentation for this class was generated from the following file:

- csutil/csevent.h